local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
	local digest = function(value)
		return Application:digest_value(value, true)
	end
    self.tier_unlocks = {
		digest(0),
		digest(1),
		digest(3),
		digest(18)
	}
	
	local function contain_my_skilltree (tab, val)
	    for index, value in ipairs(tab) do
	        if value == val then
	            return true
	        end
	    end
	    return false
	end

	if not contain_my_skilltree(self.skill_pages_order,"glc") then
		table.insert(self.skill_pages_order,"glc")
		self.skilltree.glc = {
			name_id = "glc_title",
			desc_id = "glc_desc"
		}
	end

		self.skills.glc_1_11 = { -- Steady Walker
			["name_id"] = "glc_1_11_name",
			["desc_id"] = "glc_1_11_desc",
			["icon_xy"] = {7, 10},
			[1] = {
				upgrades = {
					"shake"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"st1"
				},
				cost = self.costs.pro
			}
		}
	
		self.skills.glc_1_22 = { --Boom Boom
				["name_id"] = "glc_1_22_name",
				["desc_id"] = "glc_1_22_desc",
				["icon_xy"] = {5, 1},
				[1] = {
					upgrades = {
						"gl_reload_speed_1"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"gl_reload_speed_2",
					},
					cost = self.costs.pro
				}
			}
			
		self.skills.glc_1_21 = { --Composure
				["name_id"] = "glc_1_21_name",
				["desc_id"] = "glc_1_21_desc",
				["icon_xy"] = {5, 1},
				[1] = {
					upgrades = {
						"gl_reload_speed_1"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"gl_reload_speed_2",
					},
					cost = self.costs.pro
				}
			}

		self.skills.glc_1_31 = { --Better Boom Boom
				["name_id"] = "glc_1_31_name",
				["desc_id"] = "glc_1_31_desc",
				["icon_xy"] = {2, 0},
				[1] = {
					upgrades = { 
						"gl_ammo_multiplier_1"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = { 
						"gl_ammo_multiplier_2",
					},
					cost = self.costs.pro
				}
			}

		self.skills.glc_1_32 = { --Glistening shot
				["name_id"] = "glc_1_32_name",
				["desc_id"] = "glc_1_32_desc",
				["icon_xy"] = {5, 0},
				[1] = {
					upgrades = { 
						"gl_firerate_1"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = { 
						"gl_firerate_2",
					},
					cost = self.costs.pro
				}
			}

		self.skills.glc_1_41 = { -- Utter Chaos
			["name_id"] = "glc_1_41_name",
			["desc_id"] = "glc_1_41_desc",
			["icon_xy"] = {7, 0},
			[1] = {
				upgrades = {
					"gl_rapido",
					"gl_extra_ammo",
					"gl_reload_rapido"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"gl_l_swap",
					"gl_piles_of_ammo",
					"gl_reload_rapido_1"
				},
				cost = self.costs.pro
			}
		}

		self.skills.glc_2_22 = { -- 2 2		toddler
			["name_id"] = "glc_2_22_name",
			["desc_id"] = "glc_2_22_desc",
			["icon_xy"] = {0, 3},
				[1] = {
					upgrades = {
						"",
						"spwalk"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"spwalk2"
					},
					cost = self.costs.pro
				}
			}

		self.skills.glc_2_23 = { -- 2 2		toddler
			["name_id"] = "glc_2_23_name",
			["desc_id"] = "glc_2_23_desc",
			["icon_xy"] = {1, 1},
				[1] = {
					upgrades = {
						"klife"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"klife2"
					},
					cost = self.costs.pro
				}
			}
			
		self.skills.glc_2_11 = { --Well Trained
			["name_id"] = "glc_2_11_name",
			["desc_id"] = "glc_2_11_desc",
			["icon_xy"] = {7, 7},
			[1] = {
				upgrades = {
				"as_recoil_1"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"as_recoil_2",
					"as_reload_1"
				},
				cost = self.costs.pro
			}
		}
			
		self.skills.glc_2_32 = { -- 3 1		duck
				["name_id"] = "glc_2_32_name",
				["desc_id"] = "glc_2_32_desc",
				["icon_xy"] = {0, 11},
				[1] = {
					upgrades = {
						"crouchdodge"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
						"crouchdodge2"
					},
					cost = self.costs.hightierpro
				}
			}
			
			
		self.skills.glc_2_31 = { -- 3 2		hardtdie
				["name_id"] = "glc_2_31_name",
				["desc_id"] = "glc_2_31_desc",
				["icon_xy"] = {1, 2},
				[1] = {
					upgrades = {
					"GuyS1"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
					"DeadS1"
					},
					cost = self.costs.hightierpro
				}
			}

		self.skills.glc_2_21 = { --Good Eye
			["name_id"] = "glc_2_21_name",
			["desc_id"] = "glc_2_21_desc",
			["icon_xy"] = {3, 7},
			[1] = {
				upgrades = {
					"as_spread_1"
					},
					cost = self.costs.hightier
				},
			[2] = {
				upgrades = {
					"as_spread_2",
					"covert_1"
				},
				cost = self.costs.hightierpro
			}
		}


		self.skills.glc_2_41 = { -- 4 1		stampy
			["name_id"] = "glc_2_41_name",
			["desc_id"] = "glc_2_41_desc",
			["icon_xy"] = {7, 3},
			[1] = {
				upgrades = {
				   "dodjetier1", 
				   ""
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
				    "dodjetier2",
	        		""
				},
				cost = self.costs.hightierpro
			}
		}

				self.skills.glc_2_33 = { --I can carry more
				["name_id"] = "glc_2_33_name",
				["desc_id"] = "glc_2_33_desc",
				["icon_xy"] = {2, 0},
				[1] = {
					upgrades = { 
						"as_ammo_1"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = { 
						"as_ammo_2"
					},
					cost = self.costs.pro
				}
			}

		self.skills.glc_2_42 = { -- A Class
				["name_id"] = "glc_2_42_name",
				["desc_id"] = "glc_2_42_desc",
				["icon_xy"] = {1, 1},
				[1] = {
					upgrades = { 
						"as_damage_1",
						"as_firerate_1",
						"as_recoil_l",
						"as_spread_3"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = { 
						"as_damage_2",
						"as_firerate_2",
						"as_reload_2",
						"covert_x",
						"as_ammo_x"
					},
					cost = self.costs.hightierpro
				}
			}

table.insert(self.trees,{
			name_id = "glc_tree1",
			background_texture = "guis/textures/pd2/skilltree/bg_mastermind",
			unlocked = true,
			skill = "glc",
			tiers = {
				{	
					"glc_1_11",
				},
				{
					"glc_1_21",
					"glc_1_22"
				},
				{
					"glc_1_31",
					"glc_1_32",
				},
				{
					"glc_1_41"
				}
			}
		})	

table.insert(self.trees,{
			name_id = "glc_tree2",
			background_texture = "guis/textures/pd2/skilltree/bg_mastermind",
			unlocked = true,
			skill = "glc",
			tiers = {
				{	
					"glc_2_11"
				},
				{
					"glc_2_21",
					"glc_2_22",
					"glc_2_23"
				},
				{
					"glc_2_31",
					"glc_2_32",
					"glc_2_33"
				},
				{
				    "glc_2_41",
					"glc_2_42"
				}
			}
		})			

		self.skilltree.glc = {
			name_id = "glc_title",
			desc_id = "glc_desc"
		}
end